<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Gang](./bitburner.gang.md) &gt; [setMemberTask](./bitburner.gang.setmembertask.md)

## Gang.setMemberTask() method

Set gang member to task.

**Signature:**

```typescript
setMemberTask(memberName: string, taskName: string): boolean;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  memberName | string | Name of Gang member to assign. |
|  taskName | string | Task to assign. |

**Returns:**

boolean

True if the Gang Member was successfully assigned to the task, false otherwise.

## Remarks

RAM cost: 2 GB

Attempts to assign the specified Gang Member to the specified task. If an invalid task is specified, the Gang member will be set to idle (“Unassigned”).

